> ## Documentation Index
> Fetch the complete documentation index at: https://www.fastforex.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# FX Pairs Historical Limits

> FX pairs earliest available historical data point for the supplied interval (P1D default)



## OpenAPI

````yaml get /fx/pairs/historical-limits
openapi: 3.0.3
info:
  title: fastFOREX.io
  version: 2.3.2
  description: Foreign & cryptocurrency exchange rate API
  termsOfService: https://www.fastforex.io/terms-of-sale
  contact:
    email: support@fastforex.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.fastforex.io
    description: Production
  - url: https://api.beta.fastforex.io
    description: Beta
security:
  - api_key: []
  - apiKeyHeader: []
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: currency
    description: Physical currencies, rates and conversions
  - name: crypto
    description: Digital currencies, pairs & prices
  - name: fx
    description: Realtime FX trading pairs - instruments, prices and history
  - name: admin
    description: Account admin
  - name: plan-one
    description: Available on The One Plan
  - name: plan-extra
    description: Available on The Extra Plan
  - name: plan-premium
    description: Available on The Premium Plan
externalDocs:
  description: Find out more about fastFOREX.io
  url: https://www.fastforex.io
paths:
  /fx/pairs/historical-limits:
    get:
      tags:
        - fx
        - plan-extra
        - plan-premium
      description: >-
        FX pairs earliest available historical data point for the supplied
        interval (P1D default)
      parameters:
        - name: interval
          in: query
          description: >-
            ISO8601 duration, such as P1D (daily). Defaults to P1D. Options are
            P1D, PT1H, PT1M.
          required: false
          schema:
            $ref: '#/components/schemas/Duration'
        - name: price
          in: query
          description: bid or ask. Defaults to bid.
          required: false
          schema:
            $ref: '#/components/schemas/PriceType'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  ms:
                    $ref: '#/components/schemas/ResponseTime'
                  interval:
                    $ref: '#/components/schemas/Duration'
                  price:
                    $ref: '#/components/schemas/PriceType'
                  pairs:
                    type: object
                    minProperties: 2000
                    additionalProperties:
                      $ref: '#/components/schemas/DateTimes'
              example:
                interval: P1D
                price: bid
                pairs:
                  EURUSD: '1976-01-02T00:00:00.000Z'
                  GBPUSD: '1970-01-02T00:00:00.000Z'
                  USDJPY: '1975-01-02T00:00:00.000Z'
                ms: 12
        '400':
          description: Bad Request
        '401':
          description: Not Authorized
        '429':
          description: Rate limit exceeded
components:
  schemas:
    Duration:
      type: string
      description: ISO8601 Duration. https://en.wikipedia.org/wiki/ISO_8601#Durations
    PriceType:
      type: string
      description: bid or ask
      enum:
        - bid
        - ask
    ResponseTime:
      type: number
      format: int32
      description: Server response time in milliseconds
    DateTimes:
      description: A datetime value. If no timezone offset supplied, UTC/GMT is assumed.
      oneOf:
        - $ref: '#/components/schemas/DateTime'
        - $ref: '#/components/schemas/IsoDateTimeZone'
        - $ref: '#/components/schemas/TimestampMillis'
    DateTime:
      type: string
      pattern: '[0-9]{4}-[0-9]{2}-[0-9]{2} [0-9]{2}:[0-9]{2}:[0-9]{2}'
      description: UTC/GMT datetime YYYY-MM-DD HH:MM:SS
    IsoDateTimeZone:
      type: string
      pattern: >-
        [0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}(Z?|[+-][0-9]{2}:00)
      description: ISO8601 Datetime with optional timezone offset YYYY-MM-DDTHH:MM:SS±HH:00
      example: '2021-01-26T15:30:00-05:00'
    TimestampMillis:
      type: number
      format: int64
      description: >-
        Milliseconds since Jan 1 1970 (unix timestamp with millisecond
        precision)
      example: 1739305030072
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: query
    apiKeyHeader:
      type: apiKey
      name: X-API-KEY
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: api_key
    basicAuth:
      type: http
      scheme: basic

````